Databases
Get database row audit history.
ROLES: RESOURCE_READ,RESOURCE_WRITE,RESOURCE_ADMIN
GET
/
api
/
v1
/
databases
/
{databaseId}
/
audit
Get database row audit history.
curl --request GET \
--url https://api.revoengine.com/api/v1/databases/{databaseId}/audit \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.revoengine.com/api/v1/databases/{databaseId}/audit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.revoengine.com/api/v1/databases/{databaseId}/audit"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"databaseAuditId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"databaseId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"databaseVersion": 123,
"operation": "INSERT",
"createdBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"operationId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"rowKey": {},
"previousRowKey": {},
"changedFields": [
"<string>"
],
"snapshot": {},
"changes": {}
}
],
"nextCursor": "<string>"
}Authorizations
Bearer JWT token or API Key (sk-*).
Path Parameters
Query Parameters
Required range:
1 <= x <= 100000Opaque cursor returned by the preceding page.
Available options:
INSERT, UPDATE, DELETE Exact complete primary-key object.
Include projected row snapshot values. A snapshot.* field also enables this payload automatically.
Include projected change values. A changes.* field also enables this payload automatically.
Payload paths such as snapshot.id, snapshot.address.country, changes.status, or explicit snapshot./changes. wildcards.
Return only audit events where at least one of these top-level row fields changed.
Safe filter tree for snapshot.* or changes.* values, for example { field: "snapshot.manufacturer", op: "eq", value: "TRW" }.
⌘I
Get database row audit history.
curl --request GET \
--url https://api.revoengine.com/api/v1/databases/{databaseId}/audit \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.revoengine.com/api/v1/databases/{databaseId}/audit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.revoengine.com/api/v1/databases/{databaseId}/audit"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"databaseAuditId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"databaseId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"databaseVersion": 123,
"operation": "INSERT",
"createdBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"operationId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"rowKey": {},
"previousRowKey": {},
"changedFields": [
"<string>"
],
"snapshot": {},
"changes": {}
}
],
"nextCursor": "<string>"
}
